# Interface ErrorType

All Superinterfaces:
  `AnnotatedConstruct, DeclaredType, ReferenceType, TypeMirror`

public interface ErrorType extends DeclaredType
Represents a class or interface type that cannot be properly modeled. This may be the result of a processing error, such as a missing class file or erroneous source code. Most queries for information derived from such a type (such as its members or its supertype) will not, in general, return meaningful results.

Since:
  1.6

- ## Method Summary

  ### Methods declared in interface DeclaredType

  `asElement, getEnclosingType, getTypeArguments`
  Modifier and Type
  Method
  Description
  `Element`
  `asElement()`
  Returns the element corresponding to this type.
  `TypeMirror`
  `getEnclosingType()`
  Returns the type of the innermost enclosing instance or a `NoType` of kind `NONE` if there is no enclosing instance.
  `List<? extends TypeMirror>`
  `getTypeArguments()`
  Returns the actual type arguments of this type.

  ### Methods declared in interface TypeMirror

  `accept, equals, getAnnotation, getAnnotationMirrors, getAnnotationsByType, getKind, hashCode, toString`
  Modifier and Type
  Method
  Description
  `<R,P> R`
  `accept(TypeVisitor<R,P> v, P p)`
  Applies a visitor to this type.
  `boolean`
  `equals(Object obj)`
  Obeys the general contract of `Object.equals`.
  `<A extends Annotation>
  A`
  `getAnnotation(Class<A> annotationType)`
  Returns this construct's annotation of the specified type if such an annotation is present, else `null`.
  `List<? extends AnnotationMirror>`
  `getAnnotationMirrors()`
  Returns the annotations that are directly present on this construct.
  `<A extends Annotation>
  A[]`
  `getAnnotationsByType(Class<A> annotationType)`
  Returns annotations of the specified type that are associated with this construct.
  `TypeKind`
  `getKind()`
  Returns the `kind` of this type.
  `int`
  `hashCode()`
  Obeys the general contract of `Object.hashCode`.
  `String`
  `toString()`
  Returns an informative string representation of this type.